<?php
namespace PrestaShop\Module\PolarisPrestaConnector\Forms;

use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\AbstractType;



class GrilleType extends AbstractType{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
     // Grilles avec leurs tailles
     $grilles = [
        "grille1" => ['34', '35', '36', '37', '38', '39', '40', '41', '42', '43', '44', '45'],
        "grille2" => ['xxs', "xs", "s", "m", "l", "xl", 'xxl'],
    ];

    // Récupérer les groupes d'attributs disponibles
    $attributeGroups = \AttributeGroup::getAttributesGroups(1);
    $choices = [];

    foreach($attributeGroups as $group){
        // Ajouter chaque nom de groupe dans le tableau de choix
        $choices[$group['name']] = $group['name'];
        
    }
      
        // Créer un champ pour chaque grille
        foreach ($grilles as $grilleKey => $sizes) {
            
            // Étape 1 : Ajouter un sélecteur pour le groupe d'attributs
            $builder->add($grilleKey . '_attribute_group', ChoiceType::class, [
                'choices' =>$choices,
                'placeholder' => 'Select an attribute group',
                'label' =>$grilleKey
            ]);

            //$attributes = \AttributeGroup::getAttributesByGroupId($groupId);

            foreach ($sizes as $size) {
                $builder->add($grilleKey . '_mapping_' . $size, ChoiceType::class, [
                    'choices' => [], // Initially empty, will be filled by JavaScript
                    'placeholder' => 'Select an attribute for ' . $size,
                    'label' => 'Mapping for ' . $size,
                    'mapped' => false,
                    'attr' => ['class' => 'attribute-mapping-' . $size],
                ]);
            }
        }

            
        
    

    // Ajouter le bouton de sauvegarde
    $builder->add('save', SubmitType::class);
    }

}