# PrestaShop\Module\PrestaConnector\pol\api\lib\MediaApi

All URIs are relative to https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api/WebConnect, except if the operation defines another base path.

| Method | HTTP request | Description |
| ------------- | ------------- | ------------- |
| [**mediaGetPhoto()**](MediaApi.md#mediaGetPhoto) | **GET** /Media/Photo | Obtient la photo correspondant à l&#39;identifiant fourni |
| [**mediaPutUrl()**](MediaApi.md#mediaPutUrl) | **PUT** /Media/Url | Poste les URL du site |


## `mediaGetPhoto()`

```php
mediaGetPhoto($no_photo, $photo_size)
```

Obtient la photo correspondant à l'identifiant fourni

Obtient la photo correspondant à l'identifiant fourni

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\MediaApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$no_photo = 56; // int | Numéro de la photo que vous souhaitez obtenir
$photo_size = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PhotoSize(); // PhotoSize | Taille de l'image souhaitée, si non spécifiée, renvoi la taille paramétrée sur le système

try {
    $apiInstance->mediaGetPhoto($no_photo, $photo_size);
} catch (Exception $e) {
    echo 'Exception when calling MediaApi->mediaGetPhoto: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **no_photo** | **int**| Numéro de la photo que vous souhaitez obtenir | |
| **photo_size** | [**PhotoSize**](../Model/.md)| Taille de l&#39;image souhaitée, si non spécifiée, renvoi la taille paramétrée sur le système | [optional] |

### Return type

void (empty response body)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `image`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `mediaPutUrl()`

```php
mediaPutUrl($sku, $type_url, $body, $index)
```

Poste les URL du site

Poste les URL du site

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\MediaApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$sku = 'sku_example'; // string | Code Polaris, Gencod Fournisseur ou GTIN
$type_url = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MediaTypeUrl(); // MediaTypeUrl | Type de URL
$body = 'body_example'; // string | Url complète de la photo ou du produit sur le site  (url)
$index = 0; // int | Index de la photo

try {
    $apiInstance->mediaPutUrl($sku, $type_url, $body, $index);
} catch (Exception $e) {
    echo 'Exception when calling MediaApi->mediaPutUrl: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **sku** | **string**| Code Polaris, Gencod Fournisseur ou GTIN | |
| **type_url** | [**MediaTypeUrl**](../Model/.md)| Type de URL | |
| **body** | **string**| Url complète de la photo ou du produit sur le site  (url) | |
| **index** | **int**| Index de la photo | [optional] [default to 0] |

### Return type

void (empty response body)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: `application/json`
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)
